Skip to content

[EXPERIMENTAL] Get Deployment

Request

Get an existing Deployment, defined by their id. Deployments without a planning_id are externally managed Deployments. Deployments with a planning_id are managed by releasing or unreleasing routes in PTV OptiFlow.

Security
clientCredentials
Path
idstringrequired

The unique ID used to identify this Deployment.

Payload
// No request payload

Responses

The Deployment was successfully retrieved. Details are in the response body.

Headers
ETagstring

A weak Etag (ex W/"<etag_value>") which contains the current version of the entity

Example:"W/\"25\""
Bodyapplication/json
idstring

The unique deployment ID.

Example:"deployment-123"
resource_combination_idstring

The ID of the associated resource combination, if any.

Example:"rc-456"
availability_idstring

The ID of the associated availability, if any.

Example:"avail-789"
employee_idstring

The ID of the employee assigned to this deployment.

Example:"employee-42"
transport_resource_idsArray of strings

The IDs of the transport resources assigned to this deployment.

Example:
[ "truck-1", "trailer-2" ]
startobject(DeploymentStart)
endobject(DeploymentEnd)
total_break_timestring

Total break time during the deployment, formatted as ISO-8601 duration.

Example:"PT1H"
planning_idstring

The ID of the planning that created this deployment, if any.

Example:"planning-123"
Response
{ "id": "deployment-123", "resource_combination_id": "rc-456", "availability_id": "avail-789", "employee_id": "employee-42", "transport_resource_ids": [ "truck-1", "trailer-2" ], "start": { "at": "2021-01-01T08:00:00Z", "location": { … } }, "end": { "at": "2021-01-01T17:00:00Z", "location": { … } }, "total_break_time": "PT1H", "planning_id": "planning-123" }